apply plugin: 'com.android.library'

android {
    compileSdkVersion externalCompileSdkVersion

    defaultConfig {
        minSdkVersion externalMinSdkVersion
        targetSdkVersion externalTargetSdkVersion
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])

    implementation externalAndroidSupportV4
    implementation externalAndroidAppCompatV7
    implementation externalOKHTTP
    implementation externalAndroidRecyclerView
    implementation externalGSON
    implementation externalAliyunOSS
    implementation externalAlivcCore
    implementation externalAndroidDesign


    //    implementation 'com.aliyun.sdk.android:AliyunPlayer:5.3.3-full'  // 5.3.3
    implementation 'com.aliyun.sdk.android:AliyunPlayer:4.7.0-part'  // 4.7.0
    implementation externalAlivcConan   // 5.3.3 不要，4.7.0要
    implementation externalAlivcFFmpeg   // 5.3.3 不要，4.7.0要


    implementation 'com.github.ctiao:DanmakuFlameMaster:0.9.25'
    implementation externalAndroidCardView
//    implementation project(':Aliyunplayer:AlivcPlayer')
    implementation project(':AliyunVideoCommon')

    // Cling library
    implementation 'org.fourthline.cling:cling-core:2.1.1'
    implementation 'org.fourthline.cling:cling-support:2.1.1'
    // Jetty library
    implementation 'org.eclipse.jetty:jetty-server:8.1.12.v20130726'
    implementation 'org.eclipse.jetty:jetty-servlet:8.1.12.v20130726'
    implementation 'org.eclipse.jetty:jetty-client:8.1.12.v20130726'
    implementation 'org.slf4j:slf4j-simple:1.7.21'
    implementation 'com.koushikdutta.urlimageviewhelper:urlimageviewhelper:1.0.4'

}
